跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support
This is the documentation of 22.6.1, which is no longer the latest release. See the latest release.

Remove a badge from a user

DELETE
/admin/users/{username}/badges
curl --request DELETE \
--url https://gitea.example.com/api/v1/admin/users/example/badges \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "badge_slugs": [ "badge1", "badge2" ] }'
username
required
string

Username of user

UserBadgeOption options for link between users and badges

object
badge_slugs
Array<string>
Example
[
"badge1",
"badge2"
]

APIEmpty is an empty response

Media typeapplication/json

APIForbiddenError is a forbidden error response

Media typeapplication/json
message
string
url
string

APIValidationError is error format response related to input validation

Media typeapplication/json
message
string
url
string